/*
 * Copyright (c) 2022 Verizon.  Licensed under Verizon EDS SDK Software Licensing Agreement.  See "EDS SDK License Agreement.pdf"
 */

package com.verizon.mec.edsclientsdk.sample;

import android.content.Context;
import android.net.NetworkRequest;
import android.os.Build;
import android.telephony.SubscriptionInfo;
import android.util.Log;

import androidx.annotation.RequiresApi;

import com.verizon.mec.edsclientsdkutils.EdsNetworkUtils;

import java.util.List;

/**
 * Discovery APIs using network identity require a Verizon cellular connection.
 * Below are samples of utility API
 */
public class EdsNetworkTargetingSample {

    public void sampleBuildNetworkRequest(Context context) {

        NetworkRequest.Builder nrb = new NetworkRequest.Builder();

        EdsNetworkUtils edsNetworkUtils = new EdsNetworkUtils();

        if(edsNetworkUtils.targetVerizonNetworkSim(context, nrb)) {
            Log.i("Sample", "VZW SIM targeting information added to network request builder");
            NetworkRequest nr = nrb.build();
            // proceed with network acquisition.
        } else {
            Log.w("Sample", "No compatible network found. Cannot perform edge discovery w/ device location");
        }
    }

    @RequiresApi(api = Build.VERSION_CODES.N)
    public void sampleDsdsNetworkCheck(Context context) {

        // TODO: verify phone permissions here.

        EdsNetworkUtils edsNetworkUtils = new EdsNetworkUtils();
        List<SubscriptionInfo> simsOnVzwNetwork = edsNetworkUtils.getAllSubscriptionsOnVerizonNetwork(context) ;
    }
}
